Page MenuHomePhabricator

AbuseFilter stats & profiler for es.wikibooks
Closed, ResolvedPublic

Description

In order to correctly maintain the filters and detect inneficient ones, we should have those enabled.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMar 21 2018, 11:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@dmaza and @TBolliger Do you have any objections on eswikibooks be added to the runtime profiler? (cf. T161059). Thanks.

Change 420989 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] enable profiler and runtime profiler for eswikibooks abusefilter

https://gerrit.wikimedia.org/r/420989

No objections from me. I defer to @dmaza on this one.

dmaza added a comment.Mar 21 2018, 5:20 PM

No objections from me either. Let me know if you need help setting up the graphs in Grafana.

@dmaza Thanks for your input. I will indeed need help to setup the Grafana stuff as I have no idea how to do that. I've scheduled the patch to be deployed on today's Evening SWAT, but grafana graphs ain't urgent and can wait until somebody finds time to build them. Thanks.

dmaza added a comment.Mar 21 2018, 7:42 PM

I can take care of it if you want. It takes 2 minutes

Change 420989 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable $wgAbuseFilterProfile & $wgAbuseFilterRuntimeProfile on eswikibooks

https://gerrit.wikimedia.org/r/420989

Mentioned in SAL (#wikimedia-operations) [2018-03-21T23:19:48Z] <ladsgroup@tin> Synchronized wmf-config/abusefilter.php: [[gerrit:420989|Enable $wgAbuseFilterProfile & $wgAbuseFilterRuntimeProfile on eswikibooks, part I (T190264)]] (duration: 01m 15s)

Mentioned in SAL (#wikimedia-operations) [2018-03-21T23:21:28Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:420989|Enable $wgAbuseFilterProfile & $wgAbuseFilterRuntimeProfile on eswikibooks, part II (T190264)]] (duration: 01m 15s)

@dmaza The config is deployed. Feel free to deal with the grafana boards if you'd like :) Thanks.

MarcoAurelio closed this task as Resolved.Mar 22 2018, 12:17 AM

Thanks!